Qt Utilities: QtUtilities::UpdateHandler Class Reference

Qt Utilities 6.20.0 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Classes | Public Slots | Public Member Functions | Static Public Member Functions | Properties | List of all members
QtUtilities::UpdateHandler Class Reference

The UpdateHandler class manages the non-graphical aspects of checking for new updates and performing them. More...

`#include <updater.h>`

Inheritance diagram for QtUtilities::UpdateHandler:
[legend]
Collaboration diagram for QtUtilities::UpdateHandler:
[legend]

## Classes
struct | CheckInterval
| The CheckInterval struct specifies whether automatic checks for updates are enabled and of often they should be done. More...

## Public Slots
void | applySettings ()
void | performUpdate ()
void | saveNotifierState ()

## Public Member Functions
| UpdateHandler (QSettings *settings, QNetworkAccessManager *nm, QObject *parent=nullptr)
| Handles checking for updates and performing an update of the application if available.
| UpdateHandler (const QString &executableName, const QString &signatureExtension, QSettings *settings, QNetworkAccessManager *nm, QObject *parent=nullptr)
| Handles checking for updates and performing an update of the application if available.
| ~UpdateHandler () override
UpdateNotifier * | notifier ()
Updater * | updater ()
const CheckInterval & | checkInterval () const
void | setCheckInterval (CheckInterval checkInterval)
bool | isConsideringSeparateSignature () const
void | setConsideringSeparateSignature (bool consideringSeparateSignature)
QString | preCheck () const

## Static Public Member Functions
static UpdateHandler * | mainInstance ()
static void | setMainInstance (UpdateHandler *mainInstance)

## Properties
UpdateNotifier * | notifier
Updater * | updater

## Detailed Description

The UpdateHandler class manages the non-graphical aspects of checking for new updates and performing them.

Remarks
  This class is experimental and might be changed in incompatible ways (API and ABI wise) or completely removed in further minor/patch releases.

Definition at line 189 of file updater.h.

## Constructor & Destructor Documentation

## ◆ UpdateHandler() [1/2]

QtUtilities::UpdateHandler::UpdateHandler | ( | QSettings * | settings,
|  | QNetworkAccessManager * | nm,
|  | QObject * | parent = nullptr )
| explicit

Handles checking for updates and performing an update of the application if available.

Definition at line 1163 of file updater.cpp.

## ◆ UpdateHandler() [2/2]

QtUtilities::UpdateHandler::UpdateHandler | ( | const QString & | executableName,
|  | const QString & | signatureExtension,
|  | QSettings * | settings,
|  | QNetworkAccessManager * | nm,
|  | QObject * | parent = nullptr )
| explicit

Handles checking for updates and performing an update of the application if available.

Definition at line 1171 of file updater.cpp.

## ◆ ~UpdateHandler()

QtUtilities::UpdateHandler::~UpdateHandler | ( |  | ) |
| override

Definition at line 1185 of file updater.cpp.

## Member Function Documentation

## ◆ applySettings

void QtUtilities::UpdateHandler::applySettings | ( |  | ) |
| slot

Definition at line 1261 of file updater.cpp.

## ◆ checkInterval()

const UpdateHandler::CheckInterval & QtUtilities::UpdateHandler::checkInterval | ( |  | ) | const

Definition at line 1199 of file updater.cpp.

## ◆ isConsideringSeparateSignature()

bool QtUtilities::UpdateHandler::isConsideringSeparateSignature | ( |  | ) | const

Definition at line 1224 of file updater.cpp.

## ◆ mainInstance()

UpdateHandler * QtUtilities::UpdateHandler::mainInstance | ( |  | ) |
| inlinestatic

Definition at line 239 of file updater.h.

## ◆ notifier()

UpdateNotifier * QtUtilities::UpdateHandler::notifier | ( |  | ) |

## ◆ performUpdate

void QtUtilities::UpdateHandler::performUpdate | ( |  | ) |
| slot

Definition at line 1269 of file updater.cpp.

## ◆ preCheck()

QString QtUtilities::UpdateHandler::preCheck | ( |  | ) | const

Definition at line 1234 of file updater.cpp.

## ◆ saveNotifierState

void QtUtilities::UpdateHandler::saveNotifierState | ( |  | ) |
| slot

Definition at line 1276 of file updater.cpp.

## ◆ setCheckInterval()

void QtUtilities::UpdateHandler::setCheckInterval | ( | CheckInterval | checkInterval | ) |

Definition at line 1212 of file updater.cpp.

## ◆ setConsideringSeparateSignature()

void QtUtilities::UpdateHandler::setConsideringSeparateSignature | ( | bool | consideringSeparateSignature | ) |

Definition at line 1229 of file updater.cpp.

## ◆ setMainInstance()

void QtUtilities::UpdateHandler::setMainInstance | ( | UpdateHandler * | mainInstance | ) |
| inlinestatic

Definition at line 244 of file updater.h.

## ◆ updater()

Updater * QtUtilities::UpdateHandler::updater | ( |  | ) |

## Property Documentation

## ◆ notifier

UpdateNotifier * QtUtilities::UpdateHandler::notifier
| read

Definition at line 191 of file updater.h.

## ◆ updater

Updater * QtUtilities::UpdateHandler::updater
| read

Definition at line 192 of file updater.h.

The documentation for this class was generated from the following files:

- setup/updater.h
- setup/updater.cpp